## org.flexdock.docking.drag.outline.x11
Class ConnectionResponse

    java.lang.Object
      org.flexdock.docking.drag.outline.x11.ConnectionResponse

    public class ConnectionResponse

extends java.lang.Object

Author:
  Christopher Butler

Constructor Summary
`ConnectionResponse(DataBuffer dataBuffer)`

Method Summary
`int` `getBlackPixel(int screenIndex)`
`int` `getNextResourceId()`
`int` `getPixMapFormatCount()`
`int` `getPixMapOffset()`
`int` `getResourceIdBase()`
`int` `getResourceIdMask()`
`int` `getRootWindowID(int screenIndex)`
`int` `getScreenCount()`
`int` `getScreenDataOffset()`
`int` `getScreenLength()`
`int` `getVendorLength()`
`int` `getWhitePixel(int screenIndex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionResponse

    public ConnectionResponse(DataBuffer dataBuffer)

Method Detail

### getScreenCount

    public int getScreenCount()

### getVendorLength

    public int getVendorLength()

### getPixMapFormatCount

    public int getPixMapFormatCount()

### getPixMapOffset

    public int getPixMapOffset()

### getScreenDataOffset

    public int getScreenDataOffset()

### getScreenLength

    public int getScreenLength()

### getResourceIdBase

    public int getResourceIdBase()

### getResourceIdMask

    public int getResourceIdMask()

### getNextResourceId

    public int getNextResourceId()

### getRootWindowID

    public int getRootWindowID(int screenIndex)

### getWhitePixel

    public int getWhitePixel(int screenIndex)

### getBlackPixel

    public int getBlackPixel(int screenIndex)